typedef unsigned char      BYTE;
typedef unsigned short     WORD;
typedef unsigned long      LONG;

#define ADC_IRQ_MODE       1               // 1 is interrupt driven, 0 is polling

#define ADC_DONE           0x80000000
#define ADC_OVERRUN        0x40000000
#define ADC_ADINT          0x00010000

#define ADC_CLK            1000000         // set to 1 Mhz

extern void ADC_Init(LONG clk);
extern WORD ADC_ReadCH1(void);
extern WORD ADC_ReadCH2(void);
extern void ADC_BurstRead(void);
